/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.world.biome;

/**
 * An enumeration of all possible {@link BiomeType}s available in vanilla minecraft.
 */
public final class BiomeTypes {

    // Standard Biomes
    public static final BiomeType OCEAN = null;
    public static final BiomeType PLAINS = null;
    public static final BiomeType DESERT = null;
    public static final BiomeType EXTREME_HILLS = null;
    public static final BiomeType FOREST = null;
    public static final BiomeType TAIGA = null;
    public static final BiomeType SWAMPLAND = null;
    public static final BiomeType RIVER = null;
    public static final BiomeType HELL = null;
    public static final BiomeType SKY = null;
    public static final BiomeType FROZEN_OCEAN = null;
    public static final BiomeType FROZEN_RIVER = null;
    public static final BiomeType ICE_PLAINS = null;
    public static final BiomeType ICE_MOUNTAINS = null;
    public static final BiomeType MUSHROOM_ISLAND = null;
    public static final BiomeType MUSHROOM_ISLAND_SHORE = null;
    public static final BiomeType BEACH = null;
    public static final BiomeType DESERT_HILLS = null;
    public static final BiomeType FOREST_HILLS = null;
    public static final BiomeType TAIGA_HILLS = null;
    public static final BiomeType EXTREME_HILLS_EDGE = null;
    public static final BiomeType JUNGLE = null;
    public static final BiomeType JUNGLE_HILLS = null;
    public static final BiomeType JUNGLE_EDGE = null;
    public static final BiomeType DEEP_OCEAN = null;
    public static final BiomeType STONE_BEACH = null;
    public static final BiomeType COLD_BEACH = null;
    public static final BiomeType BIRCH_FOREST = null;
    public static final BiomeType BIRCH_FOREST_HILLS = null;
    public static final BiomeType ROOFED_FOREST = null;
    public static final BiomeType COLD_TAIGA = null;
    public static final BiomeType COLD_TAIGA_HILLS = null;
    public static final BiomeType MEGA_TAIGA = null;
    public static final BiomeType MEGA_TAIGA_HILLS = null;
    public static final BiomeType EXTREME_HILLS_PLUS = null;
    public static final BiomeType SAVANNA = null;
    public static final BiomeType SAVANNA_PLATEAU = null;
    public static final BiomeType MESA = null;
    public static final BiomeType MESA_PLATEAU_FOREST = null;
    public static final BiomeType MESA_PLATEAU = null;
    // Mutated Biomes
    public static final BiomeType SUNFLOWER_PLAINS = null;
    public static final BiomeType DESERT_MOUNTAINS = null;
    public static final BiomeType FLOWER_FOREST = null;
    public static final BiomeType TAIGA_MOUNTAINS = null;
    public static final BiomeType SWAMPLAND_MOUNTAINS = null;
    public static final BiomeType ICE_PLAINS_SPIKES = null;
    public static final BiomeType JUNGLE_MOUNTAINS = null;
    public static final BiomeType JUNGLE_EDGE_MOUNTAINS = null;
    public static final BiomeType COLD_TAIGA_MOUNTAINS = null;
    public static final BiomeType SAVANNA_MOUNTAINS = null;
    public static final BiomeType SAVANNA_PLATEAU_MOUNTAINS = null;
    public static final BiomeType MESA_BRYCE = null;
    public static final BiomeType MESA_PLATEAU_FOREST_MOUNTAINS = null;
    public static final BiomeType MESA_PLATEAU_MOUNTAINS = null;
    public static final BiomeType BIRCH_FOREST_MOUNTAINS = null;
    public static final BiomeType BIRCH_FOREST_HILLS_MOUNTAINS = null;
    public static final BiomeType ROOFED_FOREST_MOUNTAINS = null;
    public static final BiomeType MEGA_SPRUCE_TAIGA = null;
    public static final BiomeType EXTREME_HILLS_MOUNTAINS = null;
    public static final BiomeType EXTREME_HILLS_PLUS_MOUNTAINS = null;
    public static final BiomeType MEGA_SPRUCE_TAIGA_HILLS = null;

    private BiomeTypes() {
    }
}
